unit regtest1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AnotherReg, StdCtrls;

type
  TMainForm = class(TForm)
    AppConfigKey: TAppConfigKey;
    MainForm: TRegKey;
    Position: TRegKey;
    FormLeft: TVariantProfile;
    FormTop: TVariantProfile;
    FormWidth: TVariantProfile;
    FormHeight: TVariantProfile;
    LostKey: TRegKey;
    LostProfile: TVariantProfile;
    FormColor: TVariantProfile;
    Appearence: TRegKey;
    Button1: TButton;
    FormCaption: TVariantProfile;
    edCaption: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
 if Position.Exist then
  begin
   Left := FormLeft.Value;
   Top := FormTop.Value;
   Width := FormWidth.Value;
   Height := FormHeight.Value;
  end;
 if Appearence.Exist then
  begin
   Color := FormColor.Value;
   edCaption.Text := FormCaption.Value;
  end;
end;



procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 FormLeft.Value := Left;
 FormTOp.Value := TOp;
 FormHeight.Value := Height;
 FormWidth.Value := WIdth;
 LostProfile.Value := 'Lost Profile';
 FormColor.Value := Color;
 FormCaption.Value := Caption;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
 with TColorDialog.Create( self ) do
  try
   color := self.color;
   if execute then self.color := color;
  finally
   free;
  end;
end;

procedure TMainForm.Edit1Change(Sender: TObject);
begin
  Caption := ( Sender as TEdit ).Text;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
 AppConfigKey.Delete;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
 LostProfile.Delete;
end;

end.
